<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle('Панель управления - Выдать банн!');

///Подключаем шапку
$title->GetHeader();

if ($b['level'] == 0) {
header('location:/');
die();
}
echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Панель управления </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li typeof="v:Breadcrumb"><a href="/panel" rel="v:url" property="v:title">Дата-центр</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">Выдать банн!</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';
echo '<div class="catSides"><a href="/panel"><i class="md-format-list-bulleted"></i> Админка</a> - Выдать банн!</div>';
switch($_GET['do']) {
default:
$id = isset($_GET['id']) ? abs((int)$_GET['id']) : false;
if (user_inf($id, 'level') >= 1 || $b['level'] < user_inf($id, 'level') && $id == $b['id']) {
err('У Вас нет прав для этого действия!');
///Подключаем футер
$title->GetFooter();
exit();
}

if (!user_inf($id)) {
err('Пользователь не найден!');
///Подключаем футер
$title->GetFooter();
exit();
}

if (!isset($_POST['ok'])) {
echo '<div class="row text_box"><b>*Причина должна быть описана и обоснована, ссылайтесь на правила ресурса. Иначе бан будет снят, а вы наказаны. Сквернословия в причине запрещены.</b><form action="?id='.$id.'" method="POST">Ник/ID:<br/><input type="text" class="form-control" name="nick" value="'.user_inf($id, 'nick').'"/><br/>Время:<br/><input type="text" class="form-control" name="na"/><br/><select class="form-control" name="vremja"><option value="min">Минут</option><option value="chas">Часов</option><option value="sut">Суток</option><option value="mes">Месяцев</option></select><br/>Причина:<br/><input class="form-control" type="text" name="text"/><br/><input type="hidden" name="nick" value="' . $id . '"/><input type="submit" name="ok"class="btn btn-primary" value="Блокировать"/></form></div>';
} else {
if (empty($_POST['na'])) {
err('Не указано время блокировки!');
} elseif (empty($_POST['text'])) {
err('Не указана причина блокировки!');
} else
{
if ($_POST['vremja'] == 'min') $na = (int)$_POST['na'] * 60;
if ($_POST['vremja'] == 'chas') $na = (int)$_POST['na'] * 60 * 60;
if ($_POST['vremja'] == 'sut') $na = (int)$_POST['na'] * 60 * 60 * 24;
if ($_POST['vremja'] == 'mes') $na = (int)$_POST['na'] * 60 * 60 * 24 * 30;
$text = check($_POST['text']);
$na = time() + $na;
DB::$dbs->query("INSERT INTO ban SET
timeban = ?, who_ban = ?, user_ban = ?, text = ?, dateban = ?", [$na,$b['id'],$id,$text,time()]);
DB::$dbs->query("INSERT INTO nar SET user_id = ?, id_user = ?, text = ?, type = ?, time = ?, dateban = ?", [$id,$b['id'],$text,3,time(),$na]);
DB::$dbs->query("UPDATE `blogger` SET `gears` = `gears` - ? WHERE `id` = ?", [10,$id]);
lenta(Nick($b['id']).' забанил '.Nick($id).' по причине: [b]'.$text.'[/b]');
echo '<div class="row text_box">Пользователь успешно забанен!</div>';
}
}
break;
case 'red':
$id = isset($_GET['id']) ? abs((int)$_GET['id']) : false;
$array = DB::$dbs->query("SELECT * FROM ban WHERE id = ? LIMIT 1", [$id]);
if ($array -> rowCount() == 0) {
header('location:/');
die();
}
$arr = $array -> fetch();
if (!isset($_POST['ok'])) {
echo '<div class="row text_box"><b><font color="red">Редактирование бана</font><br/>*Причина должна быть описана и обоснована, ссылайтесь на правила ресурса. Иначе бан будет снят, а вы наказаны.<br/>*Сквернословия в причине запрещены.<br/>*Пользователь будет перезабанен вами.</b><form action="?do=red&id='.$id.'" method="POST">Ник/ID:<br/><input type="text" class="form-control"  name="nick" value="'.user_inf($arr['user_ban'], 'nick').'"/><br/>Время:<br/><input type="text" class="form-control"  name="na"/><br/><select class="form-control"  name="vremja"><option value="min">Минут</option><option value="chas">Часов</option><option value="sut">Суток</option><option value="mes">Месяцев</option></select><br/>Причина:<br/><input class="form-control"  type="text" name="text" value="'.$arr['text'].'"/><br/><input type="hidden" name="nick" value="' . $id . '"/><input type="submit" name="ok" class="btn btn-primary" value="Блокировать"/></form></div>';
} else {
if (empty($_POST['na'])) {
err('Не указано время блокировки!');
} elseif (empty($_POST['text'])) {
err('Не указана причина блокировки!');
} else
{
if ($_POST['vremja'] == 'min') $na = (int)$_POST['na'] * 60;
if ($_POST['vremja'] == 'chas') $na = (int)$_POST['na'] * 60 * 60;
if ($_POST['vremja'] == 'sut') $na = (int)$_POST['na'] * 60 * 60 * 24;
if ($_POST['vremja'] == 'mes') $na = (int)$_POST['na'] * 60 * 60 * 24 * 30;
$text = check($_POST['text']);
$na = time() + $na;
DB::$dbs->query("UPDATE ban SET
timeban = ?, text = ? WHERE id = ?", [$na,$text,$id]);
DB::$dbs->query("UPDATE nar SET dateban = ? WHERE user_id = ?", [$na,$arr['user_ban']]);
echo '<div class="row text_box">Успешно сохранено!</div>';
}
}
break;
}

///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
?>